class_name Action
extends Node

func triggerNodePath( nodePath:NodePath ):

	var a:Action = get_node( nodePath );
	triggerAction( a )
	
		
func triggerAction( a:Action ):
 
	if a == null:
		return
		
	a.onTrigger()	
		
func onTrigger():
	pass
